%define oname django
%define Oname Django
%define name python-%oname
%define version 0.95.4
%define subrel 1
%define release %mkrel 0

Summary: A high-level Python Web framework
Name: %{name}
Version: %{version}
Release: %{release}

Source0: http://media.djangoproject.com/releases/%{version}/Django-%{version}.tar.gz
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Url: http://www.djangoproject.com
BuildRequires: python-devel
BuildRequires: python-setuptools

%description
Django is a high-level Python Web framework that encourages rapid development 
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news 
operation, Django was designed from scratch to handle two challenges: the 
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management 
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the 
DRY principle.

%prep
%setup -q -n %Oname-%version
perl -pi -e 's/^(ez_setup.use_setuptools)/#$1/' setup.py

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE  README docs/*
%_bindir/*
%py_sitedir/%{oname}
# used by setuptools
%py_sitedir/%{Oname}-%{version}-py%{pyver}.egg-info


%changelog
* Wed Sep 3 2008 Vincent Danen <vdanen@mandriva.com>  0.95.4-0.1mdv2007.1
- 0.95.4: fixes a CSRF vuln and other bugs

* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.95-2mdv2007.0
+ Revision: 90841
- Rebuild

  + Michael Scherer <misc@mandriva.org>
    - Import python-django



* Mon Jul 31 2006 Michael Scherer <misc@mandriva.org> 0.95-1mdv2007.0
- New version 0.95

* Fri Jan 13 2006 Michael Scherer <misc@mandriva.org> 0.91-1mdk
- New release 0.91

* Thu Nov 17 2005 Michael Scherer <misc@mandriva.org> 0.90-1mdk
- initial package
